Create a new draft
Authorizations
Path Parameters
ID of the conversation to create the draft in.
Body
JSON object containing the draft content and metadata (required). Example: { "content": "string", "attachments": [ { "type": "application/pdf", "name": "report.pdf", "content": "<... base64 encoded content ...>" } ], "inlines": [ { "type": "image/png", "name": "screenshot.png", "content": "<... base64 encoded content ...>", "cid": "random-cid-12345" } ], "actions": [ { "name": "status.close", "snippet_id": 123, "data": {} } ] }
ID of the agent authoring the draft (optional if author_email is provided).
123
Email of the agent authoring the draft (optional if author_id is provided).
"jared.dunns@piedpiper.com"
ID of the agent the draft is targeted to (optional).
Email of the agent the draft is targeted to (optional).
"richard.hendricks@piedpiper.com"
Title of the draft (optional).
"Lawyer response"
Response
Draft created successfully.
Timestamp when the draft was created (UTC)
Timestamp when the draft was last updated (UTC)
Conversation ID this draft belongs to
Unique identifier for the message draft
Optional title for the draft
250JSON object containing the draft content and metadata. Example: { "content": "string", "attachments": [ { "type": "application/pdf", "name": "report.pdf", "content": "<... base64 encoded content ...>" } ], "inlines": [ { "type": "image/png", "name": "screenshot.png", "content": "<... base64 encoded content ...>", "cid": "random-cid-12345" } ], "actions": [ { "name": "status.close", "snippet_id": 123, "data": {} } ] }
Agent ID who created the draft
Agent ID to whom the draft is targeted (null means everyone)